Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#41641 closed defect (invalid)

llvm-3.4: build fails in Release+Debug+Asserts/AnalysisTests: ld: symbol(s) not found for architecture x86_64

Reported by: h.rayflood@… Owned by: jeremyhu (Jeremy Huddleston Sequoia)
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc:
Port: llvm-3.4

Description (last modified by ryandesign (Ryan Schmidt))

rfmoz-mac7:~ h$ uname -a
Darwin rfmoz-mac7.local 11.4.2 Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64 x86_64
rfmoz-mac7:~ h$ xcodebuild -version
Xcode 4.1
Build version 4B110
rfmoz-mac7:bin h$ sudo ./port outdated
The following installed ports are outdated:
clang-3.4                      3.4-r193358_0 < 3.4-r195772_0
dragonegg-3.4-gcc-4.6          3.4-r193358_0 < 3.4-r195772_0
llvm-3.4                       3.4-r193358_0 < 3.4-r195772_0
rfmoz-mac7:bin h$ sudo ./port upgrade outdated configure.compiler=clang
--->  Computing dependencies for llvm-3.4
--->  Fetching distfiles for llvm-3.4
--->  Verifying checksums for llvm-3.4
--->  Extracting llvm-3.4
--->  Applying patches to llvm-3.4
--->  Configuring llvm-3.4
--->  Building llvm-3.4
Error: org.macports.build for port llvm-3.4 returned: command execution failed
Please see the log file for port llvm-3.4 for details:
    /opt/gcc-mp/var/macports/logs/_opt_gcc-mp_var_macports_sources_rsync.macports.org_release_tarballs_ports_lang_llvm-3.4/llvm-3.4/main.log
Error: Unable to upgrade port: 1
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets

Attachments (2)

main.log.zip (208.3 KB) - added by h.rayflood@… 7 years ago.
main.log-llvmgcc42.zip (350.6 KB) - added by h.rayflood@… 7 years ago.

Download all attachments as: .zip

Change History (6)

Changed 7 years ago by h.rayflood@…

Attachment: main.log.zip added

comment:1 Changed 7 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Owner: changed from macports-tickets@… to jeremyhu@…
Port: llvm-3.4 added
Summary: clang-3.4: build fails in Release+Debug+Asserts/AnalysisTests: ld: symbol(s) not found for architecture x86_64llvm-3.4: build fails in Release+Debug+Asserts/AnalysisTests: ld: symbol(s) not found for architecture x86_64

The error in the log is:

:info:build Undefined symbols for architecture x86_64:
:info:build   "llvm::LoopBase<llvm::BasicBlock, llvm::Loop>::~LoopBase()", referenced from:
:info:build       llvm::(anonymous namespace)::ScalarEvolutionsTest_SCEVMultiplyAddRecs_Test::TestBody() in ScalarEvolutionTest.o
:info:build ld: symbol(s) not found for architecture x86_64

But why are you specifying configure.compiler=clang? You should let MacPorts pick the compiler it wants to. In this case (since you have Xcode 4.1) that would be llvm-gcc-4.2. You should really consider upgrading to Xcode 4.6.3.

comment:2 Changed 7 years ago by h.rayflood@…

oh sorry. I have misunderstood Xcode-4.1 default compiler. I set "default_compiler gcc-4.2" in macports.conf.

I tried to build with configure.compiler=llvm-gcc-4.2

rfmoz-mac7:bin h$ sudo ./port upgrade outdated configure.compiler=llvm-gcc-4.2
--->  Computing dependencies for llvm-3.4
--->  Fetching distfiles for llvm-3.4
--->  Verifying checksums for llvm-3.4
--->  Extracting llvm-3.4
--->  Applying patches to llvm-3.4
--->  Configuring llvm-3.4
--->  Building llvm-3.4
--->  Staging llvm-3.4 into destroot
--->  Installing llvm-3.4 @3.4-r195772_0+assertions
--->  Cleaning llvm-3.4
--->  Computing dependencies for llvm-3.4
--->  Deactivating llvm-3.4 @3.4-r193358_0+assertions
--->  Cleaning llvm-3.4
--->  Activating llvm-3.4 @3.4-r195772_0+assertions
--->  Cleaning llvm-3.4
--->  Computing dependencies for clang-3.4
--->  Fetching distfiles for clang-3.4
--->  Verifying checksums for clang-3.4
--->  Extracting clang-3.4
--->  Applying patches to clang-3.4
--->  Configuring clang-3.4
--->  Building clang-3.4
Error: org.macports.build for port clang-3.4 returned: command execution failed
Please see the log file for port clang-3.4 for details:
    /opt/gcc-mp/var/macports/logs/_opt_gcc-mp_var_macports_sources_rsync.macports.org_release_tarballs_ports_lang_llvm-3.4/clang-3.4/main.log
Error: Unable to upgrade port: 1
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets

this error is same to configure.compiler=gcc-4.2 and configure.compiler=macports-clang-3.3.

Changed 7 years ago by h.rayflood@…

Attachment: main.log-llvmgcc42.zip added

comment:3 Changed 7 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Resolution: invalid
Status: newclosed

Xcode 4.1 is not supported.

comment:4 Changed 7 years ago by h.rayflood@…

llvm/clang 3.4 build check.

xcodellvm-gcc-4.2clangclang versionmacports default
4.6.3OKOK4.2clang
4.5.2OKOK4.2clang
4.4.1OKOK4.0clang
4.3.3OKNG3.1clang
4.2.1NGNG3.0clang
4.1NGNG2.1llvm-gcc-4.2

clang version in xcode-4.5.2 is 4.2, not 4.1 .
default compiler in xcode-4.3.3 is clang, but it breaks llvm/clang 3.4 .

Note: See TracTickets for help on using tickets.